﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using LibApp;

namespace CSApp
{
    class Program
    {
        static void Main(string[] args)
        {
            MatchIDDataSession dataSession = new LibApp.MatchIDDataSession("8000");
            Console.WriteLine("Interface version Session: " + dataSession.GetSessionInterfaceVersion());
            Console.WriteLine("Interface version App: " + dataSession.GetAppInterfaceVersion());
            Console.WriteLine("-----------------------------------------------------");
            string SetID = dataSession.UI_SelectDataset("Please select a set from the tree");
            MatchIDData DataFromMatchID = new MatchIDData(dataSession, SetID);
            Console.WriteLine("Data: ");
            Console.WriteLine(" - Name: " + DataFromMatchID.DatasetName);
            Console.WriteLine(" - Datapoints: " + DataFromMatchID.NumberOfDataPoints);
            Console.WriteLine(" - Timesteps: " + DataFromMatchID.NumberOfTimeSteps);
            Console.WriteLine("-----------------------------------------------------");
            Console.WriteLine("Hit key to exit");
            Console.ReadKey();
        }
    }
}
